import Algorithms.InitializeNodePositions;
import Algorithms.RandomGraphGenerator;
import Algorithms.SweepCrossingMinimizer;
import IO.Reader;
import Model.LayeredGraphNode;
import View.MainView;

/**
 * The main executable class. Starts the application.
 * @author kolja
 *
 */
public class Main {

	public static void main(String[] args) {
		Reader r = new Reader( "save_err1.json" );
		LayeredGraphNode graph = r.readInputGraph();
	    //RandomGraphGenerator r = new RandomGraphGenerator( 1, 1, 2, 2, 4, 4, 2 );
	    //LayeredGraphNode graph = r.createRandomNode( null, 0 );
	    //SweepCrossingMinimizer cminzer = new SweepCrossingMinimizer();
	    //for( int i = 0; i < 10; i++ )
	    //	cminzer.minimizeCrossings( graph );
		InitializeNodePositions.placeNodes( graph );
		new MainView( graph );
	}

}
